<?php

/**
 * Plugin cibloc
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined(
	'_ECRIRE_INC_VERSION'
)) {
	return;
}

include_spip('inc/cibloc_commun');

function cibloc_affichage_php_bouton($arg = '') {
	$liste = '';
	$liste_vide = '';
	$border = '';
	$libelle = '';
	$class = '';
	$classvide = '';
	$i = 0;
	$fond_en_couleur = _T('cibloc:fond_en_couleur');
	$fond_transparent = _T('cibloc:fond_transparent');

	$tableau_elements = cibloc_configuration_des_boutons();

	foreach ($tableau_elements as $element => $valeurs) {
		if (isset($valeurs['statut'])) {
			$statut = $valeurs['statut'];
		} else {
			$statut = 'active';
		}

		if ($statut == 'active') {
			if ($element == 'bouton_defaut' or $element == 'bouton_defautvide') {
				$libelle = _T('cibloc:couleur_par_defaut');
			} else {
				$libelle = substr($element, 7);
				if (substr($libelle, -4) == 'vide') {
					$libelle = substr($libelle, 0, -4);
				}
			}
			$class = 'cibtn cibtn-' . substr($element, 7);

			if (isset($valeurs['couleur_bouton'])) {
				$couleur_fond = cibloc_couleur_fond_pour_constraster(cibloc_couleur_hexa($valeurs['couleur_bouton']));
				$style_div = '';
				if ($couleur_fond) {
					$style_div = ' style="background-color:' . $couleur_fond . ';"';
				}
			}

			if ($i < 1) {
				$checked = 'checked';
			} else {
				$checked = '';
			}

			if (substr($element, -4) != 'vide') {
				$liste .= '<div' . $style_div . '>';
				$liste .= '<input type="radio" id="control_' . $i . '" name="bouton_couleur" value="' . $element . '" ' . $checked . '>';
				$liste .= '<label for="control_' . $i . '" class="' . $class . '"><span>' . $libelle . '</span></label>';
				$liste .= '</div>';
			} else {
				$liste_vide .= '<div' . $style_div . '>';
				$liste_vide .= '<input type="radio" id="control_' . $i . '" name="bouton_couleur" value="' . $element . '">';
				$liste_vide .= '<label for="control_' . $i . '" class="' . $class . '"><span>' . $libelle . '</span></label>';
				$liste_vide .= '</div>';
			}

			$i++;
		}
	}

	return '<div id="couleur" style=""><div style="float:left;width:45%;"><div>' . $fond_en_couleur . '</div>' . $liste . '</div><div style="float:left;width:5%;">&nbsp;</div><div id="couleur_vide" style="float:left;width:45%;"><div>' . $fond_transparent . '</div>' . $liste_vide . '</div><div style="clear:both;"></div></div>';
}
